EKNO YUAG - Feature #3594

Report Payroll Invoice Detail - KMI
05/08/2025 12:14 PM - Mr lkmal

Status: QA Test Start date: 05/08/2025
Priority: Urgent Due date: 05/14/2025
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 6.00 hours
Description

Dear mas azid,
Berikut untuk Format Invoice Detail PT KMI. Pada sheet Detail Invoice yg berwarna kuning referensi & penjelesannya

https://docs.google.com/spreadsheets/d/14foyysyy-mAjyoXasDPGTL3D98qyizmu/edit?usp=sharing&ouid=110582314350808317989
&rtpof=true&sd=true

Sudah dibuatkan menu nya di table:
SMENU

SENUTXT

PCMEPRPTCATALOG

di table SMENU & SMENUTXT
menulD: CYARINVDETAILKMI

di table PCMEPRPTCATALOG
reportID: CYARINVDETAILKMI

Catatan: Setelah kolom Total Pendapatan Diterima ada kolom No Rekening, NIK, KPJ, REK itu tidak perlu dibuat dlu kolom nya mas.

Untuk yang pakai Kode Wage Type nilai Amount nya ambil dari PHRPYTRO0301 dan cek juga ke table PHRPYTR301RET apabila
ada retro disana.

Di tabel PHRPYTR301RET, nnti bisa cek kolom PayPeriodMonth dan RunPeriodMonth. Cthnya:

PayPeriodMonth = 01 (Januari)

RunPeriodMonth = 02 (Februari)

Jika, terjadi perubahan nilai (cthnya: kenaikan gaji di kode Wage Type 1000) yang berlaku mulai Januari. Namun karena gaji bulan
Januari sudah sempat dibayarkan terlebih dahulu dengan nilai lama, maka selisih dari kenaikan tersebut akan dibayarkan di bulan
Februari melalui proses retro.

Cth:

Nilai awal yang dibayarkan di Januari: 4 juta

Setelah ada kenaikan yang berlaku mulai Januari, seharusnya menjadi: 5 juta

Maka pada proses run di Februari, sistem akan membayarkan selisih 1 juta

Total nilai yang diambil di Februari adalah 5 juta (untuk Februari) + 1 juta (selisih retro Januari) = 6 juta

Terima kasih.

https:/hris-ekno.minovais.com/Account/Login

port db: 103.153.60.89
database: MinovaES_Ekno

History

#1 - 05/08/2025 05:02 PM - Kezia Pawitra Yulianti
https://docs.google.com/spreadsheets/d/14foyysyy-mAjyoXasDPGTL3D98qyizmu/edit?usp=sharing&ouid=110582314350808317989&rtpof=true&sd=true
https://docs.google.com/spreadsheets/d/14foyysyy-mAjyoXasDPGTL3D98qyizmu/edit?usp=sharing&ouid=110582314350808317989&rtpof=true&sd=true
https://hris-ekno.minovais.com/Account/Login

- Due date set to 05/14/2025
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 05/14/2025 03:43 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Mr Ikmal

dear ikmal , udah bisa di test ya

makasih

#3 - 05/16/2025 10:40 AM - Mr lkmal

- File clipboard-202505161039-djdbg.png added

- File clipboard-202505161040-5ehkm.png added
- Assignee changed from Mr lkmal to M Azid Wahyudi

nanti minta tolong sejajarin ya mas untuk bagian Periode ini di format Excel. Contoh:
Periode : 16 Desember - 15 Januari 2025

PERIODE PENGGAJIAN : Januari 2025
Periode
16 Desember - 15 Januari 2025 /

sama ada typo di nama kolom ACT KEHADIARAN nanti diubah jadi ACT KEHADIRAN

ACT
KEHADIARAN

Terima kasih.

#4 - 05/16/2025 02:48 PM - Mr Ikmal

Dear mas azid,

Berikut yg sudah didiskusikan:

Untuk periode berjalan yang digunakan dalam perhitungan HK/Bulan (setelah ambil dari PA125 filter berdasarkan periode payroll):

PT KMI
Periode: Tanggal 16 bulan berjalan hingga tanggal 15 bulan berikutnya

Contoh:
Periode Januari dihitung dari 16 Desember 2024 - 15 Januari 2025

terima kasih

#5 - 05/19/2025 11:01 AM - M Azid Wahyudi
- Assignee changed from M Azid Wahyudi to Mr Ikmal

dear ikmal, udah bisa di test ya

makasih

#6 - 06/04/2025 09:04 AM - Mr lkmal
- File clipboard-202506040903-betua.png added
- Assignee changed from Mr lkmal to M Azid Wahyudi
Dear mas azid,

Setelah feedback dari user, ada yg perlu diubah di bagian kolom TTD PT Ekno di bagian Disetujui. Karena saat ini menggunakan Gen Param, format

huruf nya (kapital semua atau tidak) tidak dapat disesuaikan.

Untuk mengatasi nya, saya telah menambahkan satu field baru bernama ApprovedByEkno pada tabel CHPYINVOICE. Nantinya, nama akan muncul

sesuai dengan isi dari field tersebut.

Cikarang, 4 Juni 2025

PT EKNO YUAG INDONESIA

DIBUAT DIPERIKSA

[ DISETUIUI \\‘

k Eko Budi Setyono

Terima kasih.

#7 - 06/10/2025 09:30 AM - M Azid Wahyudi
- Assignee changed from M Azid Wahyudi to Mr Ikmal

dear ikmal , udah bisa di test ya

makasih

#8 - 06/20/2025 03:14 PM - Mr Ikmal
- Assignee changed from Mr lkmal to M Azid Wahyudi

Dear Mas Azid,

Untuk kolom ACT Kehadiran, terdapat tambahan dari user karena tipe absensinya menyesuaikan kondisi. Jadi, data yang akan diambil tidak hanya

dari Attendance Type Normal di table PHRPAO0019, tetapi juga mencakup:

1000
2000
3000
4000

Normal)

Dinas)

Training)

Work From Home)

—~ o~~~

Jadi sesuai yg ada di table ref PHRTMATTTYP mas
Terima kasih.
